> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 레드패킷 - 전송

> 레드패킷 관련 트랜잭션



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml POST /v2/redpacket/{chain}/send
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/redpacket/{chain}/send:
    post:
      tags:
        - RedPacket
      summary: 레드패킷 - 전송
      description: 레드패킷 관련 트랜잭션
      operationId: redpacket.send
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedPacketSendTxRequest'
        required: true
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedPacketSendTxResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    RedPacketSendTxRequest:
      type: object
      description: Send red packet transaction request
      required:
        - signedTx
      properties:
        signedTx:
          type: string
          description: 서명된 트랜잭션 데이터
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
    RedPacketSendTxResponse:
      type: object
      description: Send red packet transaction response
      required:
        - signature
      properties:
        signature:
          type: string
          description: 트랜잭션 서명
          example: 5UfDuX7hXbL3mFfPdq1pymNHM...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````